package com.alterdekim.flash.decompiler;

import com.alterdekim.flash.decompiler.tag.DoAction;
import com.alterdekim.flash.decompiler.tag.TagType;
import com.alterdekim.flash.decompiler.translator.Flash2Java;
import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.extern.slf4j.Slf4j;

import java.io.File;

@Slf4j
public class Main {
    public static void main(String[] args) throws Exception {
        FlashDecompiler decompiler = new FlashDecompiler();
        ShockwaveFile file = decompiler.loadFromFile(new File("catalogs.swf"));

        DoAction da = (DoAction) file.getTags()
                .stream()
                .filter(p -> p.getType() == TagType.DoAction)
                .findFirst()
                .get();

        Flash2Java converter = new Flash2Java();

        ObjectMapper objectMapper = new ObjectMapper();
        File out = new File("dec.json");
        if( out.exists() ) out.delete();
        objectMapper.writeValue(out, converter.convert(da));

    }
}